"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const markdownToHtml_1 = require("./markdownToHtml");
const utils_sh_1 = require("@goldstack/utils-sh");
describe('markdownToHtml', () => {
    it('Should render documentation markdown to html', async () => {
        const result = await markdownToHtml_1.markdownToHtml(__dirname + '/markdown/configure.md', {}, utils_sh_1.read(__dirname + '/markdown/configure.md'));
        expect(result).toContain('<p>');
        expect(result).toContain('<a');
    });
    it('Should render documentation with embedded documents', async () => {
        const file = __dirname + '/markdown/template-s3.md';
        const result = await markdownToHtml_1.markdownToHtml(file, {}, utils_sh_1.read(file));
        expect(result).toContain('<p>');
        expect(result).toContain('<a');
    });
});
//# sourceMappingURL=markdownToHtml.spec.js.map