"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.renderPage = exports.resolveMarkdown = exports.markdownToHtml = void 0;
const gray_matter_1 = __importDefault(require("gray-matter"));
const utils_sh_1 = require("@goldstack/utils-sh");
const markdownToHtml_1 = require("./markdownToHtml");
const path_1 = __importDefault(require("path"));
var markdownToHtml_2 = require("./markdownToHtml");
Object.defineProperty(exports, "markdownToHtml", { enumerable: true, get: function () { return markdownToHtml_2.markdownToHtml; } });
var resolveMarkdown_1 = require("./resolveMarkdown");
Object.defineProperty(exports, "resolveMarkdown", { enumerable: true, get: function () { return resolveMarkdown_1.resolveMarkdown; } });
const renderPage = async (filePath) => {
    const fileContent = utils_sh_1.read(filePath);
    const { data, content } = gray_matter_1.default(fileContent);
    const result = await markdownToHtml_1.markdownToHtml(path_1.default.resolve(filePath), data, content);
    return {
        html: result,
        data,
    };
};
exports.renderPage = renderPage;
//# sourceMappingURL=utilsDocs.js.map